Межсайтовый скриптинг в cPanel

Дата публикации:
23.11.2006
Всего просмотров:
2516
Опасность:
Низкая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
cPanel 10.x
Уязвимые версии: cPanel версии до 10.9.0 R75.

Описание:
Уязвимость позволяет удаленному пользователю произвести XSS нападение.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "dns" в сценарии dnslook.html. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта. Пример:

http://[host:2082]/frontend/x/net/dnslook.html?dns=[XSS]

URL производителя: www.cpanel.net/downloads.htm

Решение: Установите последнюю версию (10.9.0 R75) с сайта производителя.

Ссылки: CPanel Network Tools Cross Site Scripting

или введите имя

CAPTCHA